DotsDocs
Payout agents

Reclaim Funds from a Payout Agent

Move funds from the payout agent's available balance back to the app balance. Committed funds belong to payouts in flight and cannot be reclaimed until those payouts fail, are canceled, or are reversed.

POST
/v2/payout-agents/{payout_agent_id}/reclaims

Move funds from the payout agent's available balance back to the app balance. Committed funds belong to payouts in flight and cannot be reclaimed until those payouts fail, are canceled, or are reversed.

AuthorizationBasic <token>

In: header

Path Parameters

payout_agent_id*string

ID of the payout agent.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/payout-agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/reclaims" \  -H "Content-Type: application/json" \  -d '{    "amount": 10000,    "idempotency_key": "0d5f4a8e-1f3b-4c1e-9f7a-2b6c3d4e5f60"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "object": "payout_agent_balance_movement",  "payout_agent_id": "79fb14fc-ce5a-4ca6-83f8-93ffe10240da",  "type": "allocation",  "amount": 0,  "status": "string",  "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58",  "metadata": null,  "created": "2019-08-24T14:15:22Z"}